--- title: "Download list of devices in csv format" slug: "download-list-of-devices-in-csv-format" updated: 2025-07-21T18:55:46Z published: 2025-07-21T18:55:54Z canonical: "docs.neeve.ai/download-list-of-devices-in-csv-format" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.neeve.ai/llms.txt > Use this file to discover all available pages before exploring further. # Download list of devices in csv format Get/api/v2/devices/download SecurityHTTPType bearer Query parametersnamestring groupNamestring timezonestringExampleAsia/Kolkata orgIdstring hostnamestring ipstring connectionTypearray of string Filter devices by connection type. Availabe values are SSH/RDP/HTTP/HTTPS/VNC/TELNET sitenamestring citystring countrystring tagsarray of string Filter device by tags siteIdstring The ID of a particular site to filter sortarray of string Sorting criteria in the format: field:asc|desc, field defaults to whenCreated and direction defaults to DESC. Example fields are: ['name', 'hostname', 'ip', 'whenCreated', 'whenChanged'] DefaultwhenCreated:DESCExample[ "name:asc" ] _fieldsstring Filter the specified fields in the devices csv file. Available values are: ['devicename','ipaddress','repnetip','connectionport','connectiontype','connectionname','hostname','description','street','city','state','country','zipcode','sitename','createdat','tags'] Responses200 Download list of all devices in csv string 401 Unauthorized object error_codeinteger error_messagestring error_statusboolean 404 Not Found Expand Allobject authorizationboolean Exampletrue dataobject messagestring error_codeinteger | null error_messagestring | null error_statusboolean 500 Could not download devices - Internal Server Error object authorizationboolean data Array of string Example[]string error_codeinteger | null error_messagestring | null error_statusboolean